=== debian/changelog ===
mapbox-variant (1.1.0-2) unstable; urgency=medium

  * Add Catch-1.3.3 to missing-sources.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Feb 2016 07:42:35 +0100

mapbox-variant (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #816038)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Feb 2016 22:30:28 +0100
