=== debian/control ===
Source: mapbox-variant
Section: libdevel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Build-Depends: debhelper (>= 9),
               libboost-dev,
               libboost-system-dev,
               libboost-timer-dev,
               libboost-chrono-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapbox-variant.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapbox-variant.git
Homepage: https://github.com/mapbox/variant

Package: libmapbox-variant-dev
Architecture: all
Depends: ${misc:Depends}
Description: Alternative to boost::variant for C++11
 Mapbox variant has the same speedy performance of boost::variant but is
 faster to compile, results in smaller binaries, and has no dependencies.
 .
 Mapbox variant has been a very valuable, lightweight alternative for
 apps that can use c++11 or c++14 but that do not want a Boost dependency.
 Mapbox variant has also been useful in apps that do depend on Boost,
 like Mapnik, to help (slightly) with compile times and to majorly lessen
 dependence on Boost in core headers.
