=== debian/changelog ===
mapbox-variant (1.1.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Sep 2016 15:18:46 +0200

mapbox-variant (1.1.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jul 2016 13:31:22 +0200

mapbox-variant (1.1.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update copyright file, update path for recursive_wrapper.hpp.
  * Update paths in install file.
  * Add patch to disable mason, not required for Debian package build.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Jul 2016 01:37:49 +0200
