=== debian/changelog ===
mapbox-variant (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Oct 2016 19:59:18 +0200
