=== debian/changelog ===
mapbox-variant (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Nov 2016 20:16:44 +0100
