=== debian/changelog ===
mapbox-variant (1.1.5-2) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Fix typo in patch description.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 15:00:42 +0200

mapbox-variant (1.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Jan 2017 21:48:11 +0100
