=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                libboost-system-dev,
                libboost-timer-dev,
                libboost-chrono-dev
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapbox-variant.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapbox-variant.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-variant/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-variant.git
 Homepage: https://github.com/mapbox/variant
 
 Package: libmapbox-variant-dev
@@ -25,4 +25,3 @@
  Mapbox variant has also been useful in apps that do depend on Boost,
  like Mapnik, to help (slightly) with compile times and to majorly lessen
  dependence on Boost in core headers.
-
