=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libboost-system-dev,
                libboost-timer-dev,
                libboost-chrono-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-variant/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-variant.git
 Homepage: https://github.com/mapbox/variant
