=== debian/changelog ===
mapbox-variant (1.2.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes.
  * Use -Wno-error=maybe-uninitialized to fix FTBFS.
    (closes: #1114197)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Sep 2025 21:07:31 +0200

mapbox-variant (1.2.0-3) unstable; urgency=medium

  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 19:13:44 +0100

mapbox-variant (1.2.0-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, no changes.
  * Add patch from Fedora to fix FTBFS with glibc 2.34.
    (closes: #1017327)
  * Update obsolete URL in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Aug 2022 11:37:49 +0200

mapbox-variant (1.2.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

  [ Helmut Grohne ]
  * Mark libmapbox-variant-dev Multi-Arch: foreign. (Closes: #940618)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2020 16:55:41 +0200
