=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                libboost-dev,
                libboost-system-dev,
                libboost-timer-dev,
                libboost-chrono-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-variant/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-variant.git
 Homepage: https://github.com/mapbox/variant
+Rules-Requires-Root: no
 
 Package: libmapbox-variant-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Alternative to boost::variant for C++11
  Mapbox variant has the same speedy performance of boost::variant but is
