=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_CXXFLAGS_MAINT_APPEND=-Wno-error=maybe-uninitialized

%:
	dh $@
